<template>
  <div class="login">
    <div class="container-half1">
      <!-- Componente a la izquierda -->
      <CarouselComponent 
        :imagenes="[
        'https://i.ibb.co/QbsSfrp/Recuperar-Contrase-a1.png',
        ]" />
    </div>
    <div class="container-half2">
      <!-- Formulario de recuperación de contraseña a la derecha -->
      <div class="login-container">
        <h2 class="mb-4">Recuperación de Contraseña</h2>
        <br><br>
        <form @submit.prevent="submitForm">
          <div class="form-group mb-3">
            <input type="email" class="form-control" id="email" placeholder="Correo" v-model="email" required>
          </div>
          <br><br>
          <button type="submit" class="btn btn-primary btn-block mb-3">Recuperar Contraseña</button>
          <router-link to="/Login"><button class="btn btn-secondary btn-block">Volver</button></router-link>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';
import CarouselComponent from '../../components/cuenta/CarouselComponent.vue';

export default {
  name: 'RecuperacionEmail',
  components: {
    CarouselComponent,
  },
  data() {
    return {
      email: ''
    };
  },
  methods: {
    submitForm() {

      const emailData = {
    email: this.email,
  };
      
      axios.post('http://localhost:3001/usuarios/recuperar-contrasena', emailData)
        .then(response => {
          alert(response.data);
        })
        .catch(error => {
          alert('Correo no existente en la base de datos')
          console.error(error);
        });
    }
  }
};
</script>
  
  <style scoped>
  .login {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #ffffff;
  }
  
  .container-half2 {
    width: 50%;
  }
  
  .container-half1 {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 50%;
    background-color: #4d6dcf;
  }
  
  .login-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
  }
  
  .login-container .form-group {
    width: 100%;
  }
  

  
  .login-container button {
    width: 100%;
  }

  .title {
  font-size: 28px;
}

.subtitle {
  font-size: 18px;
}
.login-container button.btn-primary {
  color: #fff;
}
  </style>
  